var $ = jQuery;
$(function() {
	
// ---- Изменения базовых параметров дисциплины ---
	
	// Изменение предмета
	$('.SelectSubject').change(function(){
		$.post(
			URLdir + 'handler/map/ChangeDisciplineSubject',
			{
				'DisciplineID': DisciplineID,
				'SubjectID': $('.SelectSubject').val()
			},
			function(data) {
				data = $.parseJSON(data);
				if(data.success === true)
					EventInspector_ShowMsg('Предмет изменен', 'success');
				else EventInspector_ShowMsg('Ошибка: Изменение предмета', 'error');
			}
		);
	});
	
	// Изменение курса
	$('.SelectDisGrade').change(function(){ // SelectGrade совпадает с другим, поэтому SelectDisGrade
 		$.post(
			URLdir + 'handler/map/ChangeDisciplineGrade',
			{
				'DisciplineID': DisciplineID,
				'GradeID': $('.SelectDisGrade').val()
			},
			function(data) {
				data = $.parseJSON(data);
				if(data.success === true)
					EventInspector_ShowMsg('Курс изменен', 'success');
				else EventInspector_ShowMsg('Ошибка: Изменение курса', 'error');
			}
		);
	});
	
	// Бонусные баллы
	$('.BonusRate').change(function(){
		$.post(
			URLdir + 'handler/map/ChangeStatusBonusModule',
			{
				'DisciplineID': DisciplineID,
				'BonusRate': $(".BonusRate").prop("checked")
			},
			function(data) {
				data = $.parseJSON(data);
				if(data.success === true) {
					if (data.action == 'add')
						EventInspector_ShowMsg('Бонусные баллы добавлены', 'success');
					if (data.action == 'delete')
						EventInspector_ShowMsg('Бонусные баллы удалены', 'success');
				}
				else EventInspector_ShowMsg('Ошибка: Бонусные баллы', 'error');
			}
		);
	});
	
	// Изменение контроля
	$('.ExamType').change(function(){
		$.post(
			URLdir + 'handler/map/ChangeDisciplineControl',
			{
				'DisciplineID': DisciplineID,
				'Control': $('input:radio[name=ExamType]:checked').val()
			},
			function(data) {
				data = $.parseJSON(data);
				if(data.success === true)
					EventInspector_ShowMsg('Форма контроля изменена', 'success');
				else EventInspector_ShowMsg('Ошибка: Изменение формы контроля', 'error');
			}
		);
	});
	
	// Изменение лекционных часов
	$('.InputLectionCount').focusout(function(){
		$.post(
			URLdir + 'handler/map/ChangeDisciplineHours',
			{
				'DisciplineID': DisciplineID,
				'Hours': $('.InputLectionCount').val(),
				'Type': '1'
			},
			function(data) {
				data = $.parseJSON(data);
				if(data.success === true)
					EventInspector_ShowMsg('Лекционные часы изменен', 'success');
				else EventInspector_ShowMsg('Ошибка: Изменение лекционных часов', 'error');
			}
		);
	});
	
	// Изменение практических часов
	$('.InputPracticeCount').focusout(function(){
		$.post(
			URLdir + 'handler/map/ChangeDisciplineHours',
			{
				'DisciplineID': DisciplineID,
				'Hours': $('.InputPracticeCount').val(),
				'Type': '0'
			},
			function(data) {
				data = $.parseJSON(data);
				if(data.success === true)
					EventInspector_ShowMsg('Практические часы изменен', 'success');
				else EventInspector_ShowMsg('Ошибка: Изменение практических часов', 'error');
			}
		);
	});
	
});