var $ = jQuery;
$(function() {

function BindGroup(id, StudyGroupName){
	return '\
	<div class="AttachedGroup" id="'+ id +'">\
		<div class="StudyGroupInfo">'+ StudyGroupName +'</div>\
		<div class="UnbindGroup">Отсоединить группу</div>\
	</div>';
}

// Прикрепить группу
$('.AttachGroupButton').click(function(){
	var StudyGroupID = $('.SelectStudyGroup').val();
	var StudyGroupName = $(".SelectStudyGroup option:selected").text();
	$.post(
		URLdir + 'handler/map/BindGroup',
		{
			'StudyGroupID': StudyGroupID,
			'DisciplineID': DisciplineID
		},
		function(data){
			data = $.parseJSON(data);
			if(data.success === true) {
				$('.AttachedGroupsList').append(BindGroup(StudyGroupID, StudyGroupName));
				EventInspector_ShowMsg('Группа добавлена', 'success');
			}
			else EventInspector_ShowMsg('Ошибка при добавление группы', 'error');
		}
	);
});

// Отсоединить группу
$('.AttachedGroupsList').on('click', '.UnbindGroup', function(){
	var StudyGroupID = $(this).parent().attr('id');
	var GroupDIV = $(this).parent();
	$.post(
		URLdir + 'handler/map/UnbindGroup',
		{
			'StudyGroupID': StudyGroupID,
			'DisciplineID': DisciplineID
		},
		function(data){
			data = $.parseJSON(data);
			if(data.success === true) {
				GroupDIV.remove();
				EventInspector_ShowMsg('Группа отсоединена', 'success');
			}
			else EventInspector_ShowMsg('Ошибка при отсоединение группы', 'error');
		}
	);
});


});
