$(document).ready(function() {

	var checkMessages = false;
	var data;

	$('#errDialog').dialog({
		autoOpen: false,
		resizable: false,
		modal: false,
		width: 490,
		show: {
		effect: "fade",
		duration: 300
		} 
	});

	function dialogMyMessagesBtn() 
	{
		if(!checkMessages)
		{
			$.getJSON(URLdir + "handler/ErrMessages/getRequests", {}, function(data){
				if(typeof(data[0]) == "undefined")
					alert("Вы еще ничего не написали");
				else
				{
					var valHeight = 0;
					var num = data['num'];

					for(var i = 0; i <= num; ++i) 
					{
						$('.dialogMyMessages').append('<div class="request"><div class="dateReq">'+data[i]['Date']+' </div><div class="titleReq">'+data[i]['Title']+'</div></div>');
						valHeight += 23;								
					}
					$('.dialogMyMessages').animate({height: valHeight}, 500);
				}	
			});							

			checkMessages = true;
		}
		else
		{
			$('.dialogMyMessages').animate({height: "0px"}, 500).html('');
			checkMessages = false;	
		}
	}


	function dialogSendButton() {
		var mesTitle = $('#messageTitle').val();
		var mesText = $('#message').val();
		
		if(mesTitle == '')
			alert("Вы не ввели сообщение");
		else if(mesText == '')
			alert("Вы не ввели тему сообщения");
		else 
			$.ajax({
					type: "POST",
					url: URLdir + "handler/ErrMessages/createRequest",       
					data: {title: mesTitle, text: mesText},
					success: function(html){ 
						$('#errDialog').dialog("close");

						$('.main').prepend('<div class="trueMessageOfQuery"><div class="imgMes"></div><div class="textMes">Сообщение отправлено!</div></div>');
						$('.trueMessageOfQuery').hide("fade", 4500, function() {
					    	$('.trueMessageOfQuery').remove();	
						});
					}
			});					
	}


	$('#errButton').click(function(){
		$.ajax({
				type: "POST",
				url: URLdir + "handler/BaseDialog/returnDialogHtml",    
				data: {},
				success: function(html){ 
					data = html;
					$('#errDialog').html(html).dialog("open");
					$('.dialogMyMessagesBtn').click(dialogMyMessagesBtn);
					$('.dialogSendButton').click(dialogSendButton);
				}
		});		                  	
	});


	//$('#errDialog').dialog("open");


});
